Missing OpenSMTPD and Spamd in packages on 12.0-RELEASE?

Henning Kessler

New Member


Messages: 7

Hello,
I decide to move my old Linux based mailserver to a new FreeBSD box and therefor wanted to play with OpenSMTPD, Spamd & Dovecot on FreeBSD 12.0-Release. I was quite surprised by the fact that pkg could not find OpenSMTPD and Spamd. Is there anything I could do about this?

Regards

Henning
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 8,057
Messages: 31,638

OpenSMTPd fails to build on 12.0 due to OpenSSL 1.1.x:
Code:
BROKEN_SSL=     openssl111
BROKEN_SSL_REASON_openssl111=           Incompatible with Openssl 1.1.x yet
Spamd is right here: mail/spamassassin
 

tsarya

Member

Reaction score: 8
Messages: 44

it appears that on FreeBSD-12.0 the "good" combination is Postfix (potentially with blacklistd support) + Dovecot + rspamd (which includes DKIM signing).
I really hope that FreeBSD-11.3 won't break mail/spamd and mail/opensmtpd but we will see which version of OpenSSL will be included in its base...
 

toorski

Active Member

Reaction score: 49
Messages: 157

I'll carry on with:
uname -r
11.3-RELEASE and opensmtpd

with,
openssl version
OpenSSL 1.0.2s-freebsd 28 May 2019


until FreeBSD-11/EOL or lack of openssl support for opensmtpd, in any 11.* upgrade. It serves me very well. I'd only go back to exim, if I have to :(
 
Top